/[gentoo-x86]/dev-lang/ruby/ChangeLog
Gentoo

Diff of /dev-lang/ruby/ChangeLog

Parent Directory Parent Directory | Revision Log Revision Log | View Patch Patch

Revision 1.330 Revision 1.485
1# ChangeLog for dev-lang/ruby 1# ChangeLog for dev-lang/ruby
2# Copyright 2002-2008 Gentoo Foundation; Distributed under the GPL v2 2# Copyright 1999-2011 Gentoo Foundation; Distributed under the GPL v2
3# $Header: /var/cvsroot/gentoo-x86/dev-lang/ruby/ChangeLog,v 1.330 2008/03/05 20:37:44 dertobi123 Exp $ 3# $Header: /var/cvsroot/gentoo-x86/dev-lang/ruby/ChangeLog,v 1.485 2011/02/26 14:34:33 xarthisius Exp $
4
5 26 Feb 2011; Kacper Kowalik <xarthisius@gentoo.org> ruby-1.9.2.ebuild:
6 Marked ~ppc64 wrt #332593
7
8 20 Feb 2011; Pawel Hajdan jr <phajdan.jr@gentoo.org>
9 ruby-1.8.7_p334.ebuild:
10 x86 stable wrt security bug #355439
11
12 20 Feb 2011; Kacper Kowalik <xarthisius@gentoo.org>
13 ruby-1.8.7_p334.ebuild:
14 ppc/ppc64 stable wrt #355439
15
16 19 Feb 2011; Markos Chandras <hwoarang@gentoo.org> ruby-1.8.7_p334.ebuild:
17 Stable on amd64 wrt bug #355439
18
19 19 Feb 2011; Jeroen Roovers <jer@gentoo.org> ruby-1.8.7_p334.ebuild:
20 Stable for HPPA (bug #355439).
21
22*ruby-1.8.7_p334 (19 Feb 2011)
23
24 19 Feb 2011; Alex Legler <a3li@gentoo.org> +ruby-1.8.7_p334.ebuild:
25 Version bump 1.8.7 series, security bug 355439
26
27 31 Dec 2010; Hans de Graaff <graaff@gentoo.org> ruby-1.9.2_rc2-r1.ebuild,
28 ruby-1.9.2.ebuild:
29 Remove PROVIDE for old-style virtual/ruby per bug 265054.
30
31 31 Dec 2010; Hans de Graaff <graaff@gentoo.org> -ruby-1.8.6_p399.ebuild:
32 Remove masked ruby 1.8.6 per bug 332597.
33
34 07 Sep 2010; Alex Legler <a3li@gentoo.org> -ruby-1.8.7_p249.ebuild,
35 -ruby-1.9.2_rc2.ebuild:
36 Removing old and vulnerable ebuilds
37
38 06 Sep 2010; Brent Baude <ranger@gentoo.org> ruby-1.8.7_p302.ebuild:
39 Marking ruby-1.8.7_p302 ppc64 for bug 332957
40
41 28 Aug 2010; Raúl Porcel <armin76@gentoo.org> ruby-1.8.7_p302.ebuild:
42 alpha/ia64/s390/sh/sparc stable wrt #332957
43
44*ruby-1.9.2 (24 Aug 2010)
45
46 24 Aug 2010; Alex Legler <a3li@gentoo.org> +ruby-1.9.2.ebuild,
47 metadata.xml:
48 Version bump. Fixes rdoc handling wrt bug 333897 by Park Ji-in. Drop hppa
49 and x86-fbsd due to a new dependency on rdoc.
50
51 23 Aug 2010; Markus Meier <maekke@gentoo.org> ruby-1.8.7_p302.ebuild:
52 arm stable, bug #332957
53
54 21 Aug 2010; Pawel Hajdan jr <phajdan.jr@gentoo.org>
55 ruby-1.8.7_p302.ebuild:
56 x86 stable wrt security bug #332957
57
58 21 Aug 2010; Markos Chandras <hwoarang@gentoo.org> ruby-1.8.7_p302.ebuild:
59 Stable on amd64 wrt bug #332957
60
61 21 Aug 2010; Jeroen Roovers <jer@gentoo.org> ruby-1.8.7_p302.ebuild:
62 Stable for PPC (bug #332957).
63
64 21 Aug 2010; Jeroen Roovers <jer@gentoo.org> ruby-1.8.7_p302.ebuild:
65 Stable for HPPA (bug #332957).
66
67*ruby-1.8.7_p302 (21 Aug 2010)
68
69 21 Aug 2010; Alex Legler <a3li@gentoo.org> -ruby-1.8.7_p299.ebuild,
70 +ruby-1.8.7_p302.ebuild:
71 Revision bump to 1.8.7_p302 for security bug 332957. Fix rubytests
72 installation path.
73
74*ruby-1.8.6_p399 (19 Aug 2010)
75
76 19 Aug 2010; Alex Legler <a3li@gentoo.org> -ruby-1.8.6_p388.ebuild,
77 -ruby-1.8.6_p388-r1.ebuild, +ruby-1.8.6_p399.ebuild:
78 Last patchlevel bump for Ruby 1.8.6 to 399, fixes CVE-2010-0541 (bug
79 332957). Also restrict Tk and OpenSSL dependencies and fix rubytests
80 installation path (reported by the x86 team in bug 332597)
81
82*ruby-1.9.2_rc2-r1 (18 Aug 2010)
83
84 18 Aug 2010; Diego E. Pettenò <flameeyes@gentoo.org>
85 +ruby-1.9.2_rc2-r1.ebuild, metadata.xml:
86 Update ebuild; apply webrick security patch; unbundle minitest, rdoc 2 and
87 the rubygems loading code. Add USE flag for psych.
88
89 17 Aug 2010; Diego E. Pettenò <flameeyes@gentoo.org>
90 ruby-1.9.2_rc2.ebuild:
91 Remove two keepdir that will try to keep an empty path, closes bug
92 #333163.
93
94 16 Aug 2010; Jeroen Roovers <jer@gentoo.org> ruby-1.9.2_rc2.ebuild:
95 Marked ~ppc (bug #332593).
96
97 15 Aug 2010; Diego E. Pettenò <flameeyes@gentoo.org>
98 ruby-1.9.2_rc2.ebuild:
99 Remove libedit USE flag from 1.9.2 because of upstream bug #3698.
100
101 13 Aug 2010; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p388-r1.ebuild,
102 ruby-1.8.7_p299.ebuild:
103 Bump eselect-ruby dependency
104
105 13 Aug 2010; Diego E. Pettenò <flameeyes@gentoo.org>
106 -ruby-1.9.1_p429.ebuild:
107 Remove ebuild that is not target for unmask anyway.
108
109 21 Jul 2010; Diego E. Pettenò <flameeyes@gentoo.org>
110 ruby-1.9.2_rc2.ebuild:
111 Try 2 to fix the berkdb 5 issue on 1.9.
112
113 20 Jul 2010; Diego E. Pettenò <flameeyes@gentoo.org>
114 ruby-1.8.6_p388-r1.ebuild, ruby-1.8.7_p299.ebuild, ruby-1.9.1_p429.ebuild,
115 ruby-1.9.2_rc2.ebuild:
116 Add a new patchset to add support for Berkeley DB 5.0 (bug #326937). Add
117 support for adding new patchsets without bumping the revision for all the
118 old ebuilds as well.
119
120*ruby-1.9.2_rc2 (14 Jul 2010)
121
122 14 Jul 2010; Diego E. Pettenò <flameeyes@gentoo.org>
123 +ruby-1.9.2_rc2.ebuild:
124 Bump to 1.9.2 release candidate, that works with OpenSSL 1. This version
125 might cause _further_ build failures as it changed slightly behaviour.
126 You're going to need to rebuild rubygems and then all the packages
127 previously installed after upgrading to this.
128
129 04 Jul 2010; Diego E. Pettenò <flameeyes@gentoo.org>
130 -ruby-1.8.7_p249-r1.ebuild, -ruby-1.8.7_p249-r2.ebuild,
131 -ruby-1.9.1_p376.ebuild:
132 Cleanup old versions.
133
134*ruby-1.9.1_p429 (04 Jul 2010)
135
136 04 Jul 2010; Diego E. Pettenò <flameeyes@gentoo.org>
137 +ruby-1.9.1_p429.ebuild:
138 Version bump to new 1.9.1 release.
139
140*ruby-1.8.7_p299 (23 Jun 2010)
141
142 23 Jun 2010; Diego E. Pettenò <flameeyes@gentoo.org>
143 +ruby-1.8.7_p299.ebuild:
144 Version bump.
145
146 19 May 2010; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p388-r1.ebuild,
147 ruby-1.8.7_p249-r2.ebuild, ruby-1.9.1_p376.ebuild:
148 remove useless comments
149
150 18 May 2010; Diego E. Pettenò <flameeyes@gentoo.org>
151 ruby-1.8.6_p388-r1.ebuild, ruby-1.8.7_p249-r2.ebuild,
152 ruby-1.9.1_p376.ebuild:
153 Update ebuilds to be consistent with ruby-enterprise; patches are moved to
154 dev.gentoo.org now.
155
156 18 May 2010; Diego E. Pettenò <flameeyes@gentoo.org>
157 ruby-1.9.1_p376.ebuild:
158 Use the correct RUBYLIB.
159
160*ruby-1.8.7_p249-r2 (18 May 2010)
161*ruby-1.8.6_p388-r1 (18 May 2010)
162
163 18 May 2010; Diego E. Pettenò <flameeyes@gentoo.org>
164 +ruby-1.8.6_p388-r1.ebuild, +ruby-1.8.7_p249-r2.ebuild,
165 ruby-1.9.1_p376.ebuild, metadata.xml:
166 Add patches to build with BerkDB 5.0 (bug #319583) and OpenSSL 1.0 (bug
167 #304427) to Ruby 1.8.x. Also use --no-undefined as it's done for 1.9. Also
168 add USE flags for ncurses, readline and libedit, and properly depend on
169 zlib. Drop emacs USE flag and dependency on app-emacs/ruby-mode as the new
170 Emacs versions support ruby-mode themselves and it should be even more
171 updated.
172
173*ruby-1.8.7_p249-r1 (06 May 2010)
174
175 06 May 2010; Alex Legler <a3li@gentoo.org> +ruby-1.8.7_p249-r1.ebuild:
176 Revbump 1.8.7 to add patch for threading/timeout-related hangs. Closes bug
177 309789 by Sune Kloppenborg Jeppesen.
178
179 06 May 2010; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p388.ebuild,
180 ruby-1.8.7_p249.ebuild:
181 Use $PVR instead of $PV in patchset names
182
183 06 May 2010; Alex Legler <a3li@gentoo.org>
184 -files/ruby-1.8.6-memory-leak.diff,
185 -files/ruby18-mkmf-parallel-install.patch,
186 -files/ruby-1.8.6-uclibc-udp.patch, -ruby-1.9.1_p243.ebuild,
187 -files/auto_gem.rb, -files/ruby-mkconfig.patch:
188 Remove old version. Cleanup in files/
189
190*ruby-1.9.1_p376 (01 May 2010)
191
192 01 May 2010; Alex Legler <a3li@gentoo.org> +ruby-1.9.1_p376.ebuild:
193 Version bump. Fixes security bugs 296052 and 300468. No longer installs
194 rubygems or auto_gem.rb. Use dev-ruby/rubygems[ruby_targets_ruby19]
195 instead.
196
197 13 Jan 2010; Alex Legler <a3li@gentoo.org> -ruby-1.8.6_p369.ebuild,
198 -ruby-1.8.7_p174-r1.ebuild:
199 Remove vulnerable ebuilds, 300468
200
201 13 Jan 2010; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p388.ebuild,
202 ruby-1.8.7_p249.ebuild:
203 amd64 stable, security bug 300468
204
205 13 Jan 2010; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p388.ebuild,
206 ruby-1.8.7_p249.ebuild:
207 alpha/arm/ia64/s390/sh/sparc stable wrt #300468
208
209 12 Jan 2010; Jeroen Roovers <jer@gentoo.org> ruby-1.8.7_p249.ebuild:
210 Stable for HPPA (bug #300468).
211
212 12 Jan 2010; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p388.ebuild:
213 Stable for HPPA (bug #300468).
214
215 11 Jan 2010; Brent Baude <ranger@gentoo.org> ruby-1.8.7_p249.ebuild:
216 Marking ruby-1.8.7_p249 ppc64 and ppc for bug 300468
217
218 11 Jan 2010; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p388.ebuild:
219 Marking ruby-1.8.6_p388 ppc64 and ppc for bug 300468
220
221 11 Jan 2010; Christian Faulhammer <fauli@gentoo.org>
222 ruby-1.8.6_p388.ebuild:
223 stable x86, security bug 300468
224
225 11 Jan 2010; Christian Faulhammer <fauli@gentoo.org>
226 ruby-1.8.7_p249.ebuild:
227 stable x86, security bug 300468
228
229*ruby-1.8.6_p388 (10 Jan 2010)
230
231 10 Jan 2010; Alex Legler <a3li@gentoo.org> -ruby-1.8.6_p383.ebuild,
232 +ruby-1.8.6_p388.ebuild:
233 Version bump (1.8.6), security bug 300468. Remove unneded vulnerable
234 version. The new ebuild also has the fix for bug 168939.
235
236*ruby-1.8.7_p249 (10 Jan 2010)
237
238 10 Jan 2010; Alex Legler <a3li@gentoo.org> -ruby-1.8.7_p248.ebuild,
239 +ruby-1.8.7_p249.ebuild:
240 Version bump (1.8.7) for security bug 300468, removing unneeded vulnerable
241 version
242
243 02 Jan 2010; Brent Baude <ranger@gentoo.org> ruby-1.8.7_p174-r1.ebuild:
244 Marking ruby-1.8.7_p174-r1 ppc64 for bug 288699
245
246*ruby-1.8.7_p248 (25 Dec 2009)
247
248 25 Dec 2009; Alex Legler <a3li@gentoo.org> +ruby-1.8.7_p248.ebuild:
249 Version bump
250
251 18 Dec 2009; Hans de Graaff <graaff@gentoo.org> -ruby-1.8.7_p174.ebuild:
252 Remove old version.
253
254 18 Dec 2009; Hans de Graaff <graaff@gentoo.org> -ruby-1.8.7_p174.ebuild:
255 Remove old version.
256
257 15 Dec 2009; Raúl Porcel <armin76@gentoo.org> ruby-1.8.7_p174-r1.ebuild:
258 ia64/s390/sh stable wrt #288699
259
260 11 Nov 2009; Tiago Cunha <tcunha@gentoo.org> ruby-1.8.7_p174-r1.ebuild:
261 stable sparc, bug 288699
262
263 25 Oct 2009; Markus Meier <maekke@gentoo.org> ruby-1.8.7_p174-r1.ebuild:
264 arm stable, bug #288699
265
266 25 Oct 2009; Markus Meier <maekke@gentoo.org> ruby-1.8.7_p174-r1.ebuild:
267 amd64/x86 stable, bug #288699
268
269 24 Oct 2009; Tobias Klausmann <klausman@gentoo.org>
270 ruby-1.8.7_p174-r1.ebuild:
271 Stable on alpha, bug #288699
272
273 24 Oct 2009; nixnut <nixnut@gentoo.org> ruby-1.8.7_p174-r1.ebuild:
274 ppc stable #288699
275
276 12 Oct 2009; Jeroen Roovers <jer@gentoo.org> ruby-1.8.7_p174-r1.ebuild:
277 Stable for HPPA (bug #288699).
278
279 12 Oct 2009; Jeroen Roovers <jer@gentoo.org> ruby-1.9.1_p243.ebuild:
280 Marked ~hppa too.
281
282*ruby-1.8.7_p174-r1 (06 Oct 2009)
283
284 06 Oct 2009; Alex Legler <a3li@gentoo.org> +ruby-1.8.7_p174-r1.ebuild:
285 Revision bump. Added fix for bug 168939 (ipv6), now uses the new
286 eselect-ruby cleanup feature.
287
288*ruby-1.9.1_p243 (09 Sep 2009)
289
290 09 Sep 2009; Alex Legler <a3li@gentoo.org> -ruby-1.9.1_p129.ebuild,
291 -ruby-1.9.1_p129-r1.ebuild, +ruby-1.9.1_p243.ebuild,
292 -files/ruby-1.9.1_p129-gfbsd7.patch, -files/ruby19-rubygems-gentoo.patch,
293 -files/ruby-1.9.1_p129-no-undefined-ext.patch,
294 -files/ruby19-rubygems-proxy.patch,
295 -files/ruby-1.9.1_p129-parallelmake.patch,
296 -files/ruby19-mkmf-parallel-install.patch:
297 Version bump. Fixing bugs 278899 by Daniel Robbins, 279825, 277210 and
298 168939. Cleaning up old patches.
299
300*ruby-1.8.6_p383 (20 Aug 2009)
301
302 20 Aug 2009; Alex Legler <a3li@gentoo.org> +ruby-1.8.6_p383.ebuild:
303 Patchlevel bump.
304
305 31 Jul 2009; Samuli Suominen <ssuominen@gentoo.org>
306 ruby-1.8.6_p369.ebuild, ruby-1.8.7_p174.ebuild, ruby-1.9.1_p129.ebuild,
307 ruby-1.9.1_p129-r1.ebuild:
308 Move USE defaults berkdb and gdbm from profiles/base/package.use to here.
309
310 28 Jun 2009; Alex Legler <a3li@gentoo.org> -ruby-1.8.6_p368.ebuild:
311 Removing vulnerable ebuild, bug 273213.
312
313 21 Jun 2009; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p369.ebuild:
314 Marking ruby-1.8.6_p369 ppc for bug 273213
315
316 20 Jun 2009; Diego E. Pettenò <flameeyes@gentoo.org>
317 ruby-1.9.1_p129-r1.ebuild:
318 Prepend our library path instead of overwriting it during src_install.
319 Thanks to the reporter of bug #274824.
320
321*ruby-1.8.7_p174 (18 Jun 2009)
322
323 18 Jun 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p369.ebuild,
324 -ruby-1.8.7_p173.ebuild, +ruby-1.8.7_p174.ebuild:
325 Replacing 187_p173 with _p174 because of a regression. Unifying the
326 ebuilds by adding unset RUBYOPT to the 186 ebuild. Migrated 187_p174 to
327 patchsets.
328
329 17 Jun 2009; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p369.ebuild:
330 Marking ruby-1.8.6_p369 ppc64 for bug 273213
331
332 16 Jun 2009; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p369.ebuild:
333 arm/ia64/s390/sh/sparc stable wrt #273213
334
335 16 Jun 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p368.ebuild,
336 ruby-1.8.6_p369.ebuild, -ruby-1.8.7_p160.ebuild:
337 Removing old version, minor cleanup
338
339 14 Jun 2009; Alex Legler <a3li@gentoo.org> -ruby-1.8.6_p114.ebuild,
340 -files/ruby-1.8.6-openssl.patch,
341 -files/ruby-1.8.6-shortname_constants.patch,
342 -files/ruby-1.8.6_p111-r13657.patch,
343 -files/ruby-1.8.6_p287-entity_expansion_limit.diff:
344 Removing vulnerable old Ruby version and stale patches, bug 274108.
345
346 11 Jun 2009; Tobias Klausmann <klausman@gentoo.org>
347 ruby-1.8.6_p369.ebuild:
348 Stable on alpha, bug #273213
349
350 10 Jun 2009; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p369.ebuild:
351 Stable for HPPA (bug #273213).
352
353 10 Jun 2009; Christian Faulhammer <fauli@gentoo.org>
354 ruby-1.8.6_p369.ebuild:
355 stable x86, security bug 273213
356
357 10 Jun 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p369.ebuild:
358 amd64 stable, security bug 273213.
359
360*ruby-1.8.7_p173 (10 Jun 2009)
361*ruby-1.8.6_p369 (10 Jun 2009)
362
363 10 Jun 2009; Hans de Graaff <graaff@gentoo.org> +ruby-1.8.6_p369.ebuild,
364 +ruby-1.8.7_p173.ebuild:
365 Version bumps for bug #273213.
366
367*ruby-1.9.1_p129-r1 (27 May 2009)
368
369 27 May 2009; Diego E. Pettenò <flameeyes@gentoo.org>
370 +ruby-1.9.1_p129-r1.ebuild, +files/ruby-1.9.1_p129-gfbsd7.patch,
371 +files/ruby-1.9.1_p129-no-undefined-ext.patch,
372 +files/ruby-1.9.1_p129-parallelmake.patch:
373 Revision bump, add patches 1) to make Ruby behave more similarly between
374 Linux and (Gentoo/)FreeBSD; 2) to force --no-undefined when building Ruby
375 extensions (undefined symbols in them will cause abort at runtime 3) to
376 remove a concurrency issue when building the dl extension that could
377 result in a broken dl.so.
378
379 24 May 2009; Diego E. Pettenò <flameeyes@gentoo.org>
380 ruby-1.8.7_p160.ebuild, ruby-1.9.1_p129.ebuild:
381 Don't block rdoc-2 or later (which may enter Portage one day as it's
382 needed by some Rakefiles).
383
384 15 May 2009; Diego E. Pettenò <flameeyes@gentoo.org>
385 ruby-1.9.1_p129.ebuild:
386 Add ~x86-fbsd keyword.
387
388 15 May 2009; Alexis Ballier <aballier@gentoo.org> ruby-1.8.7_p160.ebuild:
389 keyword ~sparc-fbsd, bug #252315
390
391*ruby-1.9.1_p129 (15 May 2009)
392
393 15 May 2009; Alex Legler <a3li@gentoo.org> -ruby-1.9.1-r1.ebuild,
394 +ruby-1.9.1_p129.ebuild, -files/ruby-ossl_ocsp-verification.patch:
395 Patchlevel bump, closes bug 267453. Removing OSCP verification patch, now
396 included in every release.
397
398 10 May 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p114.ebuild,
399 -ruby-1.8.6_p287-r5.ebuild, -ruby-1.8.6_p287-r13.ebuild,
400 ruby-1.8.6_p368.ebuild, -ruby-1.8.7_p72-r11.ebuild,
401 ruby-1.8.7_p160.ebuild:
402 Removing vulnerable versions (#268515), fixing license (#233747).
403
404 09 May 2009; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p368.ebuild:
405 Stable for HPPA (bug #268515).
406
407 09 May 2009; Alex Legler <a3li@gentoo.org> ruby-1.9.1-r1.ebuild:
408 Adapting rubygems notice.
409
410 08 May 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p368.ebuild:
411 amd64 stable, bug #268515.
412
413 08 May 2009; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p368.ebuild:
414 arm/ia64/s390/sh/sparc stable wrt #268515
415
416 07 May 2009; Christian Faulhammer <fauli@gentoo.org>
417 ruby-1.8.6_p368.ebuild:
418 stable x86, security bug 268515
419
420 07 May 2009; Tobias Klausmann <klausman@gentoo.org>
421 ruby-1.8.6_p368.ebuild:
422 Stable on alpha, bug #268515
423
424 07 May 2009; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p368.ebuild:
425 Marking ruby-1.8.6_p368 ppc64 and ppc for bug 268515
426
427*ruby-1.8.7_p160 (07 May 2009)
428*ruby-1.8.6_p368 (07 May 2009)
429
430 07 May 2009; Alex Legler <a3li@gentoo.org> +ruby-1.8.6_p368.ebuild,
431 +ruby-1.8.7_p160.ebuild:
432 Version bump as per secbug 268515. NB: These are the first ebuilds that
433 no longer use ruby-config.
434
435*ruby-1.9.1-r1 (03 Apr 2009)
436*ruby-1.8.7_p72-r11 (03 Apr 2009)
437*ruby-1.8.6_p287-r13 (03 Apr 2009)
438
439 03 Apr 2009; Alex Legler <a3li@gentoo.org>
440 +files/ruby-1.8.6-uclibc-udp.patch, +files/auto_gem.rb,
441 +files/ruby18-mkmf-parallel-install.patch,
442 +files/ruby19-mkmf-parallel-install.patch, -ruby-1.8.6_p287-r12.ebuild,
443 +ruby-1.8.6_p287-r13.ebuild, -ruby-1.8.7_p72-r10.ebuild,
444 +ruby-1.8.7_p72-r11.ebuild, -ruby-1.9.1.ebuild, +ruby-1.9.1-r1.ebuild:
445 Revbumps fixing bugs 239101 (thanks to matsuu) and 260760 (thanks to Tom
446 Lloyd), ruby-1.9.1 is now EAPI-2. Removing old versions. Adding fake
447 auto_gem.rb for Ruby 1.9.1. Removing redundant WANT_AUTO* to make repoman
448 happy.
449
450*ruby-1.9.1 (21 Mar 2009)
451
452 21 Mar 2009; Alex Legler <a3li@gentoo.org>
453 +files/ruby19-rubygems-gentoo.patch, +files/ruby19-rubygems-proxy.patch,
454 +ruby-1.9.1.ebuild:
455 Adding Ruby 1.9.1 for preliminary testing
456
457 20 Mar 2009; Joseph Jezak <josejx@gentoo.org> ruby-1.8.7_p72-r10.ebuild,
458 ruby-1.8.6_p287-r12.ebuild:
459 Marked ~ppc for bug #252315.
460
461 10 Mar 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.7_p72-r10.ebuild:
462 Unsetting RUBYOPT in src_install, backport from Ruby 1.9 ebuilds, fixes
463 bug 261982.
464
465 09 Mar 2009; Alex Legler <a3li@gentoo.org> -ruby-1.8.6_p287-r1.ebuild,
466 -ruby-1.8.6_p287-r3.ebuild, -ruby-1.8.6_p287-r4.ebuild,
467 -ruby-1.8.6_p287-r10.ebuild, -ruby-1.8.6_p287-r11.ebuild,
468 -ruby-1.8.7_p72-r1.ebuild, -ruby-1.8.7_p72-r2.ebuild:
469 Cleanup
470
471*ruby-1.8.7_p72-r10 (07 Mar 2009)
472
473 07 Mar 2009; Diego E. Pettenò <flameeyes@gentoo.org>
474 +ruby-1.8.7_p72-r10.ebuild:
475 Add a revision of ruby 1.8.7 using eselect ruby.
476
477 03 Mar 2009; Peter Volkov <pva@gentoo.org> ruby-1.8.6_p287-r12.ebuild:
478 ~mips keyworded, bug #252315.
479
480 25 Feb 2009; Tobias Scherbaum <dertobi123@gentoo.org>
481 ruby-1.8.6_p287-r5.ebuild:
482 ppc stable, bug #260006
483
484 25 Feb 2009; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p287-r5.ebuild:
485 arm/ia64/s390/sh/sparc/x86 stable wrt #260006
486
487 24 Feb 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p287-r5.ebuild,
488 ruby-1.8.6_p287-r12.ebuild, ruby-1.8.7_p72-r2.ebuild:
489 Fixing Tk USE flag test, bug 258893.
490
491 23 Feb 2009; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p287-r5.ebuild:
492 Marking ruby-1.8.6_p287-r5 ppc64 for bug 260006
493
494 23 Feb 2009; Tobias Heinlein <keytoaster@gentoo.org>
495 ruby-1.8.6_p287-r5.ebuild:
496 amd64 stable wrt security bug #260006
497
498 23 Feb 2009; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p287-r5.ebuild:
499 Stable for HPPA (bug #260006).
500
501 23 Feb 2009; Tobias Klausmann <klausman@gentoo.org>
502 ruby-1.8.6_p287-r5.ebuild:
503 Stable on alpha, bug #260006
504
505*ruby-1.8.7_p72-r2 (23 Feb 2009)
506*ruby-1.8.6_p287-r12 (23 Feb 2009)
507*ruby-1.8.6_p287-r5 (23 Feb 2009)
508
509 23 Feb 2009; Alex Legler <a3li@gentoo.org> +files/ruby-mkconfig.patch,
510 +files/ruby-ossl_ocsp-verification.patch, +ruby-1.8.6_p287-r5.ebuild,
511 +ruby-1.8.6_p287-r12.ebuild, +ruby-1.8.7_p72-r2.ebuild:
512 Revision bumps for security bug 260006 (X.509 certificate spoofing). Also
513 fixing bugs 234877 (backported patch for mkconfig), 258893 (ebuild dies
514 now before compilation if Tk useflags don't match) and 230748 (adding
515 --enable-option-checking=no for newer versions of autoconf).
516
517 10 Feb 2009; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p287-r4.ebuild:
518 arm/ia64/s390/sh/sparc stable wrt #254307
519
520 25 Jan 2009; Tobias Klausmann <klausman@gentoo.org>
521 ruby-1.8.6_p287-r4.ebuild:
522 Stable on alpha, bug #254307
523
524 20 Jan 2009; Alexis Ballier <aballier@gentoo.org>
525 ruby-1.8.6_p287-r11.ebuild:
526 keyword ~x86-fbsd, bug #252315
527
528 17 Jan 2009; nixnut <nixnut@gentoo.org> ruby-1.8.6_p287-r4.ebuild:
529 ppc stable #254307
530
531 15 Jan 2009; Markus Meier <maekke@gentoo.org> ruby-1.8.6_p287-r4.ebuild:
532 amd64/x86 stable, bug #254307
533
534 14 Jan 2009; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p287-r4.ebuild:
535 stable ppc64, bug 254307
536
537 14 Jan 2009; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p287-r4.ebuild:
538 Stable for HPPA (bug #254307).
539
540 14 Jan 2009; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p287-r10.ebuild,
541 ruby-1.8.6_p287-r11.ebuild:
542 Marked ~hppa (bug #252315).
543
544*ruby-1.8.6_p287-r11 (11 Jan 2009)
545
546 11 Jan 2009; Hans de Graaff <graaff@gentoo.org>
547 +files/ruby-1.8.6-openssl.patch, +ruby-1.8.7_p287-r4,
548 +ruby-1.8.6_p287-r11.ebuild:
549 Backport conditional definition of missing openssl functions from ruby 1.8.7.
550 Fixes #254307.
551
552 29 Dec 2008; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p287-r10.ebuild:
553 Marking ruby-1.8.6_p287-r10 ~ppc64 for bug 252315
554
555 26 Dec 2008; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p287-r10.ebuild:
556 Add ~alpha/~arm/~ia64/~s390/~sh wrt #251159
557
558 24 Dec 2008; Friedrich Oslage <bluebird@gentoo.org>
559 ruby-1.8.6_p287-r10.ebuild:
560 Add ~sparc keyword, bug #252315
561
562*ruby-1.8.6_p287-r10 (23 Dec 2008)
563
564 23 Dec 2008; Hans de Graaff <graaff@gentoo.org>
565 +ruby-1.8.6_p287-r10.ebuild:
566 Version bump which switches from ruby-config to eselect-ruby. Dropped most
567 keywords since eselect-ruby does not yet have these keywords.
568
569 23 Dec 2008; Hans de Graaff <graaff@gentoo.org> ruby-1.8.6_p114.ebuild,
570 ruby-1.8.6_p287-r1.ebuild, ruby-1.8.6_p287-r3.ebuild:
571 Revert the ruby-config changes. We can't remove them until we provide an
572 alternative outside the ebuilds, and eselect-ruby isn't stable yet. Apologies
573 for breaking things as mentioned in bug #251833.
574
575 22 Dec 2008; Hans de Graaff <graaff@gentoo.org> ruby-1.8.6_p114.ebuild,
576 ruby-1.8.6_p287-r1.ebuild, ruby-1.8.6_p287-r3.ebuild,
577 ruby-1.8.7_p72-r1.ebuild:
578 Remove pkg_postinst and pkg_postrm functions now that ruby-config is gone.
579 Thanks for the people noticing this in bug #251833.
580
581 21 Dec 2008; Hans de Graaff <graaff@gentoo.org> ruby-1.8.6_p114.ebuild,
582 ruby-1.8.6_p287-r1.ebuild, ruby-1.8.6_p287-r3.ebuild,
583 ruby-1.8.7_p72-r1.ebuild:
584 Drop dependency on ruby-config, which will be removed from the tree. We
585 currently only have one major version of ruby in the tree (Ruby 1.8), so there
586 is no need for ruby-config at this moment. For newer versions of Ruby we will
587 use eselect-ruby, which can be found in the ruby overlay at the moment.
588
589 21 Dec 2008; Hans de Graaff <graaff@gentoo.org> ruby-1.8.6_p114.ebuild,
590 ruby-1.8.6_p287-r1.ebuild, ruby-1.8.6_p287-r3.ebuild:
591 Use mirror://ruby in SRC_URI, fixes #237392.
592
593 21 Dec 2008; Hans de Graaff <graaff@gentoo.org> -ruby-1.8.6_p111.ebuild,
594 -ruby-1.8.6_p111-r1.ebuild, -ruby-1.8.6_p287-r2.ebuild,
595 -ruby-1.8.7_p72.ebuild:
596 Remove old versions. Leave one old stable version with cjk support.
597
598*ruby-1.8.6_p287-r3 (29 Nov 2008)
599
600 29 Nov 2008; Hans de Graaff <graaff@gentoo.org>
601 files/ruby-1.8.6_p287-entity_expansion_limit.diff,
602 +ruby-1.8.6_p287-r3.ebuild:
603 Fix our expansion limit patch according to debian bug report
604 http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=502535 and bump the ebuild to
605 make sure people will pick up the fixed version. Thanks to Alex Legler for
606 mentioning the patch.
607
608*ruby-1.8.7_p72-r1 (26 Nov 2008)
609*ruby-1.8.6_p287-r2 (26 Nov 2008)
610
611 26 Nov 2008; Hans de Graaff <graaff@gentoo.org>
612 +files/ruby-1.8.6-shortname_constants.patch, +ruby-1.8.6_p287-r2.ebuild,
613 +ruby-1.8.7_p72-r1.ebuild:
614 Fix problem with shortname constants #247790, already fixed in upstream SVN.
615 Thanks to Alex Legler for providing the patch.
616
617 26 Nov 2008; Hans de Graaff <graaff@gentoo.org> -ruby-1.8.6_p286.ebuild,
618 -ruby-1.8.6_p287.ebuild:
619 Remove versions that will not become stable
620
621 16 Sep 2008; Tobias Scherbaum <dertobi123@gentoo.org>
622 ruby-1.8.6_p287-r1.ebuild:
623 ppc stable, bug #225465
624
625 11 Sep 2008; Tobias Heinlein <keytoaster@gentoo.org>
626 ruby-1.8.6_p287-r1.ebuild:
627 amd64 stable wrt security bug #225465
628
629 11 Sep 2008; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p287-r1.ebuild:
630 alpha/ia64/x86 stable wrt #225465
631
632 11 Sep 2008; Ferris McCormick <fmccor@gentoo.org>
633 ruby-1.8.6_p287-r1.ebuild:
634 Sparc stable --- Security Bug #225465 --- good since late August.
635
636 11 Sep 2008; Markus Rothe <corsair@gentoo.org> ruby-1.8.6_p287-r1.ebuild:
637 Stable on ppc64; bug #225465
638
639 11 Sep 2008; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p287-r1.ebuild:
640 Stable for HPPA (bug #225465).
641
642*ruby-1.8.6_p287-r1 (29 Aug 2008)
643
644 29 Aug 2008; Hans de Graaff <graaff@gentoo.org>
645 +files/ruby-1.8.6_p287-entity_expansion_limit.diff,
646 +ruby-1.8.6_p287-r1.ebuild:
647 Fix REXML security issues, bug #236060.
648
649 23 Aug 2008; Jeroen Roovers <jer@gentoo.org> metadata.xml:
650 Add GLEP 56 USE flag descriptions.
651
652*ruby-1.8.7_p72 (15 Aug 2008)
653
654 15 Aug 2008; Caleb Tennis <caleb@gentoo.org> -ruby-1.8.7_p22.ebuild,
655 +ruby-1.8.7_p72.ebuild:
656 bump 1.8.7 to latest patch release
657
658*ruby-1.8.6_p287 (11 Aug 2008)
659
660 11 Aug 2008; Hans de Graaff <graaff@gentoo.org> +ruby-1.8.6_p287.ebuild:
661 Version bump for brown paper bag relelease.
662
663 10 Aug 2008; Hans de Graaff <graaff@gentoo.org>
664 -files/ruby-1.8.6-revert-r15856.patch, -ruby-1.8.6_p230.ebuild:
665 Remove broken version in favor of the just-added 1.8.6_p286
666
667*ruby-1.8.6_p286 (10 Aug 2008)
668
669 10 Aug 2008; Hans de Graaff <graaff@gentoo.org> +ruby-1.8.6_p286.ebuild:
670 Version bump to latest released version of ruby 1.8.6. This version fixes the
671 security issues reported in #225465 and #234224. The cjk USE flag has been
672 dropped since no compatible patches have been released yet.
673
674 25 Jul 2008; Michael Sterrett <mr_bones_@gentoo.org>
675 ruby-1.8.6_p230.ebuild:
676 drop cjk from SRC_URI as well
677
678 15 Jul 2008; Hans de Graaff <graaff@gentoo.org> ruby-1.8.6_p230.ebuild:
679 Drop cjk support since the most recent oniguruma patches no longer apply to
680 this version, #230111.
681
682 29 Jun 2008; Hans de Graaff <graaff@gentoo.org>
683 +files/ruby-1.8.6-revert-r15856.patch, +ruby-1.8.6_p230.ebuild:
684 Try to fix the security issues reported in #225465 for ruby 1.8.6.
685 Unfortunately the official p230 has a change which causes segmentation faults
686 for applications like Rails and RSpec, so we are reverting that specific
687 change.
688
689*ruby-1.8.7_p22 (29 Jun 2008)
690
691 29 Jun 2008; Caleb Tennis <caleb@gentoo.org> -ruby-1.8.7.ebuild,
692 +ruby-1.8.7_p22.ebuild:
693 bump 1.8.7 for security fix
694
695 20 Jun 2008; Caleb Tennis <caleb@gentoo.org> -ruby-1.8.6_p230.ebuild:
696 nevermind, don't bump this yet
697
698*ruby-1.8.6_p230 (20 Jun 2008)
699
700 20 Jun 2008; Caleb Tennis <caleb@gentoo.org> +ruby-1.8.6_p230.ebuild:
701 version bump
702
703*ruby-1.8.7 (10 Jun 2008)
704
705 10 Jun 2008; Caleb Tennis <caleb@gentoo.org> -ruby-1.8.7_pre2.ebuild,
706 +ruby-1.8.7.ebuild:
707 bump 1.8.7 to final
708
709*ruby-1.8.7_pre2 (21 Apr 2008)
710
711 21 Apr 2008; Richard Brown <rbrown@gentoo.org> -ruby-1.8.7_pre1.ebuild,
712 +ruby-1.8.7_pre2.ebuild:
713 Version Bump
714
715*ruby-1.8.7_pre1 (16 Apr 2008)
716
717 16 Apr 2008; Richard Brown <rbrown@gentoo.org> +ruby-1.8.7_pre1.ebuild:
718 Version bump. Drop cjk until a new version of oniguruma appears.
719
720 06 Mar 2008; Steve Dibb <beandog@gentoo.org> ruby-1.8.6_p114.ebuild:
721 amd64 stable, bug 212264
722
723 06 Mar 2008; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p114.ebuild:
724 Stable for HPPA (bug #212264).
4 725
5 05 Mar 2008; Tobias Scherbaum <dertobi123@gentoo.org> 726 05 Mar 2008; Tobias Scherbaum <dertobi123@gentoo.org>
6 ruby-1.8.6_p114.ebuild: 727 ruby-1.8.6_p114.ebuild:
7 ppc stable, bug #212264 728 ppc stable, bug #212264
8 729

Legend:
Removed from v.1.330  
changed lines
  Added in v.1.485

  ViewVC Help
Powered by ViewVC 1.1.20